requirements.txt 1.07 KB
Newer Older
1
# Conda requirements file
2
black == 18.6b4  # Dependency with ptpython, BLISS test, BLISS dev. Better to manage the constraint here
Matias Guijarro's avatar
Matias Guijarro committed
3
aiogevent >= 0.4
4
blessings
Perceval Guillou's avatar
Perceval Guillou committed
5
cerberus
6
colorama
7
cython
8
docopt
Benoit Formet's avatar
Benoit Formet committed
9
fisx >= 1.1.9
10
flask
11
12
gevent >= 20.9.0
greenlet >= 0.4.17
13
gxx_linux-64
14
h5py == 2.10
Perceval Guillou's avatar
Perceval Guillou committed
15
hiredis
16
jedi == 0.17.2
17
jinja2 >= 2.7
Valentin Valls's avatar
Valentin Valls committed
18
louie >= 2.0=py_1
19
mendeleev
20
mock
21
msgpack-numpy >= 0.4.4.2
22
msgpack-python >= 0.6.1
23
netifaces
24
networkx == 2.4
Perceval Guillou's avatar
Perceval Guillou committed
25
numexpr
26
numpy >= 1.13
27
pandas
28
parso >=0.5.1
29
pillow
30
pint
31
psutil
32
33
ptpython >= 3.0.16
prompt-toolkit >= 3.0.18
34
pyfiglet
35
pygments
36
pygraphviz >= 1.5
37
pyserial > 2
38
pytango >= 9.3.1
39
python >= 3.7
40
redis >= 6.0.6
41
redis-py == 3.5.1
42
requests
Perceval Guillou's avatar
Perceval Guillou committed
43
ruamel.yaml
44
simple-pid
45
sqlalchemy
46
tabulate
47
tailon == 1.1.0.2
48
tango >= 9.3.2
49
tango-metadata >= 4.0.7
50
tblib >= 1.7
51
tmux >= 2.7
52
tqdm
53
treelib <= 1.5.5
54
typeguard >= 2.12.0
Sebastien Petitdemange's avatar
Sebastien Petitdemange committed
55
typing_extensions
56
yappi
Valentin Valls's avatar
Valentin Valls committed
57
58

# Flint
59
ipykernel >= 5.2  # make sure qtconsole is working
Perceval Guillou's avatar
Perceval Guillou committed
60
ipython != 7.15.0
61
pyopengl
Perceval Guillou's avatar
Perceval Guillou committed
62
pyqt >= 5.9
63
matplotlib >= 3.4.2
Valentin Valls's avatar
Valentin Valls committed
64
scipy
65
silx == 0.15.1
66
sortedcontainers
67
hkl >= 5.0.0
Valentin Valls's avatar
Valentin Valls committed
68
69
70

# Fix subpackage issues
click!=8.0.0  # coilmq is not working anymore with click 8.0.0